NXOpen.UF.Curve.CreateArcThru3pts

Curve.CreateArcThru3pts()

Refer to UF_CURVE_create_arc_thru_3pts for documentation.

Signature: CreateArcThru3pts(createFlag, firstPoint, secondPoint, thirdPoint)

Parameters:
  • createFlag (int) – flag indicating if an arc or a circle will be created = 1 -> arc will be created = 2 -> circle will be created
  • firstPoint (list of float) – Coordinates of the first point the arc will go through.
  • secondPoint (list of float) – Coordinates of the second point the arc will go through.
  • thirdPoint (list of float) – Coordinates of the third point the arc will go through.
Returns:

Identifier of the arc or circle that is created

Return type:

Tag

License requirements: None